Upstream information

CVE-2017-0358 at MITRE

Description

Jann Horn of Google Project Zero discovered that NTFS-3G, a read-write NTFS driver for FUSE, does not scrub the environment before executing modprobe with elevated privileges. A local user can take advantage of this flaw for local root privilege escalation.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  SUSE
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete

Note from the SUSE Security Team

This issue does not affect SUSE Linux Enterprise or openSUSE as the binaries are not installed as setuid root.

SUSE Bugzilla entries: 1022500 [REOPENED], 1022999 [RESOLVED / DUPLICATE], 1086936 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 ntfs-3g_ntfsprogs Unsupported
SUSE Linux Enterprise Desktop 12 SP2 ntfs-3g_ntfsprogs Affected
SUSE Linux Enterprise SDK 11 SP4 ntfs-3g Affected
SUSE Linux Enterprise SDK 12 SP1 ntfs-3g_ntfsprogs Unsupported
SUSE Linux Enterprise SDK 12 SP2 ntfs-3g_ntfsprogs Affected
SUSE Linux Enterprise Workstation Extension 12 SP1 ntfs-3g_ntfsprogs Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP2 ntfs-3g_ntfsprogs Affected